## python-pbcore 1.2.7%2Bdfsg

=== requirements.txt ===
cython
numpy >= 1.7.1
h5py >= 2.0.1
pysam >= 0.8.4

## python-pbcore 1.2.7+dfsg

=== Makefile ===
.PHONY: clean doc doc-clean tests check test install build bdist gh-pages

build:
	python setup.py build

bdist:
	python setup.py build --executable="/usr/bin/env python"
	python setup.py bdist --formats=egg

install:
	python setup.py install

clean: doc-clean
	rm -rf build/;\
	find . -name "*.egg-info" | xargs rm -rf;\
	rm -rf dist/;\
	find . -name "*.pyc" | xargs rm -f;
	rm -f nosetests.xml

doc:
	sphinx-apidoc -o doc/ pbcore/ && cd doc/ && make html
doc-clean:
	cd doc && rm -rf _templates _static _build searchindex.js objects.inv

doctest:
	cd doc && make doctest

unit-test:
	nosetests --with-xunit tests -v

test: doctest unit-test

tests: test
check: test

GH_PAGES_SOURCES = pbcore doc

gh-pages:
	git checkout gh-pages
	rm -rf _static _sources *.js *.html *.inv
	git checkout master $(GH_PAGES_SOURCES)
	cd doc && make html
	mv -fv doc/_build/html/* .
	rm -rf $(GH_PAGES_SOURCES)
	git add --all && git commit -m "Automatic update of gh-pages branch" && git checkout master

pip-install:
	@which pip > /dev/null
	@pip freeze|grep 'pbcore=='>/dev/null \
      && pip uninstall -y pbcore \
      || echo -n ''
	@pip install --no-index ./

=== debian/changelog ===
python-pbcore (1.2.7+dfsg-1) unstable; urgency=medium

  * Revert "Set watch file to point to pypi rather than github"
  * Imported Upstream version 1.2.7+dfsg
  * Drop patch applied upstream
  * Refresh patches

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 13 Dec 2015 17:18:26 -0800

python-pbcore (1.2.6+dfsg-1) unstable; urgency=medium

  * Set watch file to point to pypi rather than github
  * Imported Upstream version 1.2.6+dfsg
  * Refresh patches
  * Fix compatibility with pysam 0.8.4 (Closes: #805687)
  * Add license statement for a file added in-between releases

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 27 Nov 2015 12:19:10 -0800

python-pbcore (1.2.4+dfsg-1) unstable; urgency=medium

  * Fix watch file after dropping the dfsg counting.
  * Imported Upstream version 1.2.4+dfsg
  * Drop patch to skip integration tests at build time (applied upstream)
  * Drop rename-dataset.py patch in favor of build-time substitution

 -- Afif Elghraoui <afif@ghraoui.name>  Mon, 26 Oct 2015 21:56:40 -0700

python-pbcore (1.2.3+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.2.3+dfsg
  * Add patch to skip tests if the necessary scripts can't be found
  * Install scripts to /usr/bin, but give them sensible names
  * Add dependency on python-pkg-resources for python-pbcore
  * Add manpage stubs directing users to richer documentation sources

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 20 Sep 2015 01:18:26 -0700

python-pbcore (1.2.2+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 1.2.1+dfsg1
  * Install upstream-provided convenience scripts
  * Refresh patches
  * Install upstream changelog and readme in main package (not doc package)
  * Enable build-time testing
  * Configure autopkgtests
  * Drop nonfunctional Python3 package and merge data package with main one

 -- Afif Elghraoui <afif@ghraoui.name>  Mon, 03 Aug 2015 23:43:39 -0700

python-pbcore (1.0.0-1) experimental; urgency=low

  * Initial release (Closes: #787981)
  * Add material for autopkgtest
  * Use packaged javascript libraries for HTML documentation where available
  * Use dh pybuild rather than the upstream-provided Makefile
  * Use default documentation theme rather than upstream's with corporate logo
  * Provide python3 package
  * Prepare python-pbcore-data package
  * Prepare documentation package
  * Add autopkgtest for python3 package
  * Update uscan calls to append suffix to package name for next release

 -- Afif Elghraoui <afif@ghraoui.name>  Sat, 06 Jun 2015 23:35:12 -0700

=== debian/control ===
Source: python-pbcore
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends: debhelper (>= 9),
	       dh-python,
	       python-all,
	       python-setuptools,
	       python-nose,
	       python-h5py (>= 2.0.1),
	       python-numpy (>= 1.7.1),
	       python-pysam (>= 0.8.4),
	       python-sphinx
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Homepage: https://github.com/PacificBiosciences/pbcore
Vcs-Git: git://anonscm.debian.org/debian-med/python-pbcore.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/python-pbcore.git

Package: python-pbcore
Architecture: all
Depends: ${misc:Depends},
	 ${python:Depends},
	 python-pkg-resources
Suggests: python-pbcore-doc (= ${source:Version})
Description: Python library for processing PacBio data files
 The pbcore package provides Python modules for processing Pacific Biosciences
 data files and building PacBio bioinformatics applications. These modules
 include tools to read/write PacBio data formats, sample data files for
 testing and debugging, base classes, and utilities for building bioinformatics
 applications.
 .
 This package is part of the SMRTAnalysis suite.

Package: python-pbcore-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
	 ${sphinxdoc:Depends},
	 libjs-jquery,
	 libjs-underscore
Description: Python library for processing PacBio data files (documentation)
 The pbcore package provides Python modules for processing Pacific Biosciences
 data files and building PacBio bioinformatics applications. These modules
 include tools to read/write PacBio data formats, sample data files for
 testing and debugging, base classes, and utilities for building bioinformatics
 applications.
 .
 pbcore is part of the SMRTAnalysis suite. This package provides the common
 documentation package.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME = pbcore
export PYBUILD_AFTER_INSTALL = \
  chmod -x {destdir}/{install_dir}/pbcore/data/*.h5 \
           {destdir}/{install_dir}/pbcore/data/datasets/*.xml

DESTDIR = $(CURDIR)/debian/$(DEB_SOURCE)

%:
	LC_ALL=C.UTF-8 dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

override_dh_install:
	dh_install
	find $(DESTDIR) -type f -exec sed -i 's/dataset\.py/pbdataset/g' {} +
	mv $(DESTDIR)/usr/bin/.open $(DESTDIR)/usr/bin/pbopen
	mv $(DESTDIR)/usr/bin/dataset.py $(DESTDIR)/usr/bin/pbdataset

override_dh_installdocs:
	dh_installdocs -X _source

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) clean

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} setup.py test" \
	  dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.org

get-orig-source:
	uscan --verbose --force-download --repack --rename --compression xz

=== debian/tests/control ===
Test-Command: nosetests -v
Depends: python-pbcore, python-nose
Restrictions: allow-stderr

=== debian/watch ===
version=3

# For GitHub projects you can use the tags or releases page.  Since the archive
# URLs use only the version as the name, it is recommended to use a
# filenamemangle to adjust the name of the downloaded file:
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/pbcore-$1.tar.gz/" \
  https://github.com/PacificBiosciences/pbcore/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## python-pbcore 1.2.9+dfsg

=== requirements.txt ===
cython
numpy >= 1.7.1
h5py >= 2.0.1
pysam == 0.8.4

=== debian/changelog ===
python-pbcore (1.2.9+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.2.9+dfsg
  * Refresh patches
  * Remove handling for pbdataset script
  * Add new tests dependency on python-pyxb
  * Add NEWS file to warn users about the missing pbdataset script
  * Make corrections to the pbopen manpage

 -- Afif Elghraoui <afif@debian.org>  Mon, 11 Apr 2016 22:58:38 -0700

python-pbcore (1.2.7+dfsg-2) unstable; urgency=medium

  * Fix compatibility with pysam 0.9.0
  * Bump standards version
  * Use https for VCS URLs

 -- Afif Elghraoui <afif@debian.org>  Thu, 10 Mar 2016 22:46:31 -0800

=== debian/control ===
Source: python-pbcore
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>= 9),
	dh-python,
	python-all,
	python-setuptools,
	python-h5py (>= 2.0.1),
	python-numpy (>= 1.7.1),
	python-pysam (>= 0.9.0),
	python-sphinx,
# Test-Depends:
	python-nose,
	python-pyxb,
Standards-Version: 3.9.7
X-Python-Version: >= 2.7
Homepage: https://github.com/PacificBiosciences/pbcore
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-pbcore.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-pbcore.git

Package: python-pbcore
Architecture: all
Depends:
	${misc:Depends},
	${python:Depends},
	python-pkg-resources,
Suggests: python-pbcore-doc (= ${source:Version})
Description: Python library for processing PacBio data files
 The pbcore package provides Python modules for processing Pacific Biosciences
 data files and building PacBio bioinformatics applications. These modules
 include tools to read/write PacBio data formats, sample data files for
 testing and debugging, base classes, and utilities for building bioinformatics
 applications.
 .
 This package is part of the SMRTAnalysis suite.

Package: python-pbcore-doc
Architecture: all
Section: doc
Depends:
	${misc:Depends},
	${sphinxdoc:Depends},
	libjs-jquery,
	libjs-underscore,
Description: Python library for processing PacBio data files (documentation)
 The pbcore package provides Python modules for processing Pacific Biosciences
 data files and building PacBio bioinformatics applications. These modules
 include tools to read/write PacBio data formats, sample data files for
 testing and debugging, base classes, and utilities for building bioinformatics
 applications.
 .
 pbcore is part of the SMRTAnalysis suite. This package provides the common
 documentation package.

## python-pbcore 1.2.11%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-pbcore
 Section: python
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 9),
@@ -15,7 +16,7 @@
 # Test-Depends:
 	python-nose,
 	python-pyxb,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 Homepage: https://github.com/PacificBiosciences/pbcore
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-pbcore.git

=== debian/tests/control ===
Test-Command: nosetests -v
Depends:
	python-pbcore,
	python-nose,
	python-pyxb,
Restrictions: allow-stderr

## python-pbcore 1.2.11+dfsg

=== Makefile ===
--- 
+++ 
@@ -50,3 +50,8 @@
       && pip uninstall -y pbcore \
       || echo -n ''
 	@pip install --no-index ./
+
+
+publish-to-pypi:
+	@echo "I'm not going to do this for you, but you can do it by:"
+	@echo "    % python setup.py sdist upload -r pypi"

=== requirements.txt ===
cython
numpy >= 1.7.1
h5py >= 2.0.1
pysam >= 0.9.0

=== debian/changelog ===
python-pbcore (1.2.11+dfsg-1ubuntu1) zesty; urgency=medium

  * Suppress numpy warnings which cause false test failures in
    kineticstools with h5py 2.7.0 on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 12 Apr 2017 00:42:31 +0200

python-pbcore (1.2.11+dfsg-1) unstable; urgency=medium

  * New upstream release (git 32b6883 from 2016-09-19)
  * Update patches

 -- Afif Elghraoui <afif@debian.org>  Thu, 26 Jan 2017 00:23:02 -0800

python-pbcore (1.2.10+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.2.10+dfsg
  * Drop patch applied upstream
  * Don't raise exception if pyxb version does not exactly match
    (Closes: #839346)
  * Bump Standards-Version to 3.9.8

 -- Afif Elghraoui <afif@debian.org>  Sun, 09 Oct 2016 11:10:59 -0700

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,7 @@
 
 override_dh_install:
 	dh_install
-	find $(DESTDIR) -type f -exec sed -i 's/dataset\.py/pbdataset/g' {} +
 	mv $(DESTDIR)/usr/bin/.open $(DESTDIR)/usr/bin/pbopen
-	mv $(DESTDIR)/usr/bin/dataset.py $(DESTDIR)/usr/bin/pbdataset
 
 override_dh_installdocs:
 	dh_installdocs -X _source

## python-pbcore 1.5.0+git20180606.43fcd9d+dfsg

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,14 @@
 	python setup.py bdist --formats=egg
 
 install:
-	python setup.py install
+	@which pip > /dev/null
+	@pip freeze|grep 'pbcore=='>/dev/null \
+      && pip uninstall -y pbcore \
+      || echo -n ''
+	@pip install ./
+
+pylint:
+	pylint --errors-only pbcore/
 
 clean: doc-clean
 	rm -rf build/;\
@@ -26,7 +33,8 @@
 	cd doc && make doctest
 
 unit-test:
-	nosetests --with-xunit tests -v
+	nosetests --with-coverage --cover-xml-file=coverage.xml --cover-package=pbcore --cover-xml --with-xunit -v tests
+	sed -i -e 's@filename="@filename="./@g' coverage.xml
 
 test: doctest unit-test
 
@@ -55,3 +63,8 @@
 publish-to-pypi:
 	@echo "I'm not going to do this for you, but you can do it by:"
 	@echo "    % python setup.py sdist upload -r pypi"
+
+
+xsd-codegen:
+	rm -f pbcore/io/dataset/pyxb/DataSetXsd.py
+	./bin/updateXSDs.py ../xsd-datamodels/PacBioDatasets.xsd pbcore/io/dataset/pyxb/

=== requirements.txt ===
cython
numpy >= 1.7.1
pysam >= 0.13

=== debian/changelog ===
python-pbcore (1.5.0+git20180606.43fcd9d+dfsg-2) unstable; urgency=medium

  * Team upload
  * Add test Depends: python-h5py

 -- Graham Inggs <ginggs@debian.org>  Wed, 27 Jun 2018 13:06:45 +0000

python-pbcore (1.5.0+git20180606.43fcd9d+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Afif Elghraoui ]
  * New upstream version (git f3bcf3a)
  * Updated patches
  * Added tests dependency on python-coverage
  * d/control: use build profile declarations
 
  [ Andreas Tille ]
  * New upstream version
    Closes: #900485
  * Relax test constraint which is rather a rounding issue
  * d/watch: mode=git
  * cme fix dpkg-control
     - Point Vcs-fields to Salsa
     - Standards-Version: 4.1.4
     - Sequence of fields
     - Formatting
  * debhelper 11
  * remove outdated X-Python-Version
  * d/rules: Drop get-orig-source target

 -- Andreas Tille <tille@debian.org>  Tue, 26 Jun 2018 08:13:42 +0200

=== debian/control ===
Source: python-pbcore
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python-all,
               python-setuptools,
               python-h5py,
               python-numpy,
               python-pysam (>= 0.9.0),
               python-sphinx <!nodoc>,
               python-nose <!nocheck>,
               python-pyxb <!nocheck>,
               python-coverage
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/python-pbcore
Vcs-Git: https://salsa.debian.org/med-team/python-pbcore.git
Homepage: https://github.com/PacificBiosciences/pbcore

Package: python-pbcore
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-pkg-resources
Suggests: python-pbcore-doc (= ${source:Version})
Description: Python library for processing PacBio data files
 The pbcore package provides Python modules for processing Pacific Biosciences
 data files and building PacBio bioinformatics applications. These modules
 include tools to read/write PacBio data formats, sample data files for
 testing and debugging, base classes, and utilities for building bioinformatics
 applications.
 .
 This package is part of the SMRTAnalysis suite.

Package: python-pbcore-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-jquery,
         libjs-underscore
Description: Python library for processing PacBio data files (documentation)
 The pbcore package provides Python modules for processing Pacific Biosciences
 data files and building PacBio bioinformatics applications. These modules
 include tools to read/write PacBio data formats, sample data files for
 testing and debugging, base classes, and utilities for building bioinformatics
 applications.
 .
 pbcore is part of the SMRTAnalysis suite. This package provides the common
 documentation package.

=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.org
-
-get-orig-source:
-	uscan --verbose --force-download --repack --rename --compression xz

=== debian/watch ===
version=4

# Upstream is not tagging releases regularly - thus we use mode=git
opts="mode=git,pretty=1.5.0+git%cd.%h,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/PacificBiosciences/pbcore.git HEAD

## python-pbcore 1.6.5%2Bdfsg

=== debian/changelog ===
python-pbcore (1.6.5+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Recommends: python-h5py (its considered an "optional dependency")
  * Upstream is now tagging releases - adjust watch file
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Build-Depends: s/python-sphinx/python3-sphinx/

  [ Drew Parsons ]
  * add fix_numpy_1.16_9c065b7.patch applying upstream commit
    9c065b724 to fix dtypes for build against numpy 1.16.
    Closes: #918212, #917670.
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Thu, 10 Jan 2019 11:13:59 +0100

## python-pbcore 1.6.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -68,3 +68,6 @@
 xsd-codegen:
 	rm -f pbcore/io/dataset/pyxb/DataSetXsd.py
 	./bin/updateXSDs.py ../xsd-datamodels/PacBioDatasets.xsd pbcore/io/dataset/pyxb/
+
+validate-metadata:
+	xmllint --schema ../xsd-datamodels/PacBioCollectionMetadata.xsd pbcore/data/datasets/CollectionMetadata.xml

=== requirements.txt ===
numpy >= 1.7.1
pysam >= 0.13

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,31 @@
 Uploaders: Afif Elghraoui <afif@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12),
                dh-python,
                python-all,
                python-setuptools,
-               python-h5py,
-               python-numpy,
-               python-pysam (>= 0.9.0),
-               python-sphinx <!nodoc>,
-               python-nose <!nocheck>,
-               python-pyxb <!nocheck>,
-               python-coverage
-Standards-Version: 4.1.4
+               python-h5py (>= 2.0.1),
+               python-numpy (>= 1.7.1),
+               python-pysam (>= 0.13),
+               python3-sphinx <!nodoc>,
+               python-nose (>= 1.3.4) <!nocheck>,
+               python-pyxb (>= 1.2.4) <!nocheck>,
+               python-uritools <!nocheck>,
+#               python-parse,
+               pylint,
+               python-coverage,
+#               python3-all,
+#               python3-setuptools,
+#               python3-h5py (>= 2.0.1),
+#               python3-numpy (>= 1.7.1),
+#               python3-pysam (>= 0.13),
+#               python3-nose (>= 1.3.4) <!nocheck>,
+#               python3-pyxb (>= 1.2.4) <!nocheck>,
+#               python3-uritools <!nocheck>,
+#               pylint3,
+#               python3-coverage
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-pbcore
 Vcs-Git: https://salsa.debian.org/med-team/python-pbcore.git
 Homepage: https://github.com/PacificBiosciences/pbcore
@@ -24,8 +37,9 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          python-pkg-resources
+Recommends: python-h5py
 Suggests: python-pbcore-doc (= ${source:Version})
-Description: Python library for processing PacBio data files
+Description: Python 2 library for processing PacBio data files
  The pbcore package provides Python modules for processing Pacific Biosciences
  data files and building PacBio bioinformatics applications. These modules
  include tools to read/write PacBio data formats, sample data files for
@@ -33,6 +47,26 @@
  applications.
  .
  This package is part of the SMRTAnalysis suite.
+ .
+ This is the Python 2 module.
+
+#Package: python3-pbcore
+#Architecture: all
+#Depends: ${misc:Depends},
+#         ${python3:Depends},
+#         python3-pkg-resources
+#Recommends: python3-h5py
+#Suggests: python-pbcore-doc (= ${source:Version})
+#Description: Python 3 library for processing PacBio data files
+# The pbcore package provides Python modules for processing Pacific Biosciences
+# data files and building PacBio bioinformatics applications. These modules
+# include tools to read/write PacBio data formats, sample data files for
+# testing and debugging, base classes, and utilities for building bioinformatics
+# applications.
+# .
+# This package is part of the SMRTAnalysis suite.
+# .
+# This is the Python 3 module.
 
 Package: python-pbcore-doc
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -3,4 +3,6 @@
 	python-pbcore,
 	python-nose,
 	python-pyxb,
+	python-coverage,
+	python-h5py,
 Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://github.com/PacificBiosciences/pbcore/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

# Upstream is not tagging releases regularly - thus we use mode=git
#opts="mode=git,pretty=1.5.5+git%cd.%h,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
#  https://github.com/PacificBiosciences/pbcore.git HEAD

## python-pbcore 1.7.1+git20200129.c55621e+dfsg

=== debian/changelog ===
python-pbcore (1.7.1+git20200129.c55621e+dfsg-1) unstable; urgency=medium

  * Remove python3-pyxb from Build-Depends
    Closes: #950336
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 31 Jan 2020 16:34:17 +0100

python-pbcore (1.7.1+git20191121.7947eb7+dfsg-3) unstable; urgency=medium

  * Build-Depends: s/pylint3/pylint/
    Closes: #946426

 -- Andreas Tille <tille@debian.org>  Mon, 09 Dec 2019 09:06:38 +0100

python-pbcore (1.7.1+git20191121.7947eb7+dfsg-2) unstable; urgency=medium

  * Re-upload for testing migration

 -- Andreas Tille <tille@debian.org>  Sat, 07 Dec 2019 09:37:21 +0100

python-pbcore (1.7.1+git20191121.7947eb7+dfsg-1) unstable; urgency=medium

  * Afif removed himself from Uploaders
  * Add myself to Uploaders
  * New upstream version Git checkout
    Drop Python2 support and switch to Python3
    Closes: #938009
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * (Build-)Depends: python3-biopython (>= 1.74)
  * Rewrite autopkgtest
  * Breaks/Provides/Replaces: python-pbcore (<= (1.7)

 -- Andreas Tille <tille@debian.org>  Thu, 05 Dec 2019 11:23:55 +0100

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-pyxb, python3-pytest-runner, python3-pytest-xdist, python3-pytest-cov
Restrictions: allow-stderr

## python-pbcore 1.7.1+git20200206.d66cbbf+dfsg

=== debian/changelog ===
python-pbcore (1.7.1+git20200206.d66cbbf+dfsg-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Drop pyxb also from test depends (Closes: #950336)

  [ Andreas Tille ]
  * New upstream version
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 25 Feb 2020 09:06:14 +0100

=== debian/control ===
Source: python-pbcore
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-sphinx <!nodoc>,
               python3-all,
               python3-setuptools,
               python3-h5py,
               python3-numpy,
               python3-pysam (>= 0.13),
               python3-nose <!nocheck>,
               python3-uritools <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-biopython (>= 1.74) <!nocheck>,
               pylint,
               python3-coverage
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-pbcore
Vcs-Git: https://salsa.debian.org/med-team/python-pbcore.git
Homepage: https://github.com/PacificBiosciences/pbcore

Package: python3-pbcore
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pkg-resources,
         python3-biopython (>= 1.74)
Recommends: python3-h5py
Suggests: python-pbcore-doc (= ${source:Version})
Breaks: python-pbcore (<= 1.7)
Provides: python-pbcore
Replaces: python-pbcore
Description: Python 3 library for processing PacBio data files
 The pbcore package provides Python modules for processing Pacific Biosciences
 data files and building PacBio bioinformatics applications. These modules
 include tools to read/write PacBio data formats, sample data files for
 testing and debugging, base classes, and utilities for building bioinformatics
 applications.
 .
 This package is part of the SMRTAnalysis suite.
 .
 This is the Python 3 module.

Package: python-pbcore-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-jquery,
         libjs-underscore
Description: Python library for processing PacBio data files (documentation)
 The pbcore package provides Python modules for processing Pacific Biosciences
 data files and building PacBio bioinformatics applications. These modules
 include tools to read/write PacBio data formats, sample data files for
 testing and debugging, base classes, and utilities for building bioinformatics
 applications.
 .
 pbcore is part of the SMRTAnalysis suite. This package provides the common
 documentation package.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME = pbcore
export PYBUILD_AFTER_INSTALL = \
  chmod -x {destdir}/{install_dir}/pbcore/data/datasets/*.xml

DESTDIR = $(CURDIR)/debian/python3-$(PYBUILD_NAME)

%:
	LC_ALL=C.UTF-8 dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

override_dh_install:
	dh_install
	mv $(DESTDIR)/usr/bin/.open $(DESTDIR)/usr/bin/pbopen

override_dh_installdocs:
	dh_installdocs -X _source

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) clean
	rm -rf _tmp

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# we need to exclude tests requiring pbtestdata which is not packaged
	mkdir -p /tmp/tests_avoid
	mv `grep -l pbtestdata tests/*.py` /tmp/tests_avoid
	# for whatever reason this test is failing as well - just skip it for the moment
	mv tests/test_pbdataset_filters.py /tmp/tests_avoid
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} setup.py test" \
	  dh_auto_test
	# copy working test data into doc dir as user examples
	mkdir -p _tmp/usr/share/doc/python3-$(PYBUILD_NAME)
	cp -a tests _tmp/usr/share/doc/python3-$(PYBUILD_NAME)
	find _tmp -type d -name __pycache__ | xargs rm -rf
	# move back ignored tests
	mv /tmp/tests_avoid/* tests
	rmdir /tmp/tests_avoid
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.org

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-pytest-runner, python3-pytest-xdist, python3-pytest-cov
Restrictions: allow-stderr

## python-pbcore 1.7.1+git20200430.a127b1e+dfsg

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,11 @@
 	@pip install ./
 
 pylint:
-	pylint --errors-only pbcore/
+	pylint --errors-only --ignore=pyxb --enable=C0411,W0702,W0401,W0611 pbcore/
+
+autopep8:
+	find pbcore -name "*.py" | xargs autopep8 -i
+	find tests -name "*.py" | xargs autopep8 -i
 
 clean: doc-clean
 	rm -rf build/;\
@@ -33,7 +37,7 @@
 	cd doc && make doctest
 
 unit-test:
-	nosetests --with-coverage --cover-xml-file=coverage.xml --cover-package=pbcore --cover-xml --with-xunit -v tests
+	python setup.py test
 	sed -i -e 's@filename="@filename="./@g' coverage.xml
 
 test: doctest unit-test
@@ -71,3 +75,8 @@
 
 validate-metadata:
 	xmllint --schema ../xsd-datamodels/PacBioCollectionMetadata.xsd pbcore/data/datasets/CollectionMetadata.xml
+
+wheel:
+	which pip
+	pip wheel --wheel-dir=${WHEELHOUSE} --no-deps .
+	ls -larth ${WHEELHOUSE}

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext api-doc

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

api-doc:
	sphinx-apidoc -o . -d 4  ../pbcore/

html: api-doc
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pbcore.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pbcore.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pbcore"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pbcore"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-pbcore (1.7.1+git20200430.a127b1e+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Trim trailing whitespace (routine-update).
  * d/rules: allow for repeated builds by fixing clean

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 May 2020 17:43:06 +0200

python-pbcore (1.7.1+git20200313.41ba394+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Rules-Requires-Root: no (routine-update)
  * Cleaning generated doc/*.rst files
  * d/u/metadata: Added ref to bioconda

 -- Steffen Moeller <moeller@debian.org>  Sat, 21 Mar 2020 19:54:46 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/python-pbcore
 Vcs-Git: https://salsa.debian.org/med-team/python-pbcore.git
 Homepage: https://github.com/PacificBiosciences/pbcore
+Rules-Requires-Root: no
 
 Package: python3-pbcore
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -49,3 +49,12 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.org
+
+override_dh_auto_clean:
+	rm -f doc/pbcore.data.datasets.rst doc/pbcore.io.align.rst doc/pbcore.io.dataset.pyxb.rst
+	rm -fr coverage.xml .eggs/README.txt .pytest_cache
+	rm -rf .pybuild
+	rm -rf _tmp doc/_build/
+	find . -name __pycache__ | xargs -r rm -rf 
+	rm -f .coverage nosetests.xml
+	rm -rf pbcore.egg-info

=== debian/watch ===
version=4

#opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
#   https://github.com/PacificBiosciences/pbcore/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

# Upstream is not tagging releases regularly - thus we use mode=git
# Upstream is now actually tagging releases - but there is no official Python3 release yet
opts="mode=git,pretty=1.7.1+git%cd.%h,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/PacificBiosciences/pbcore.git HEAD

## python-pbcore 2.1.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: python-pbcore
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-sphinx <!nodoc>,
                python3-all,
                python3-setuptools,
                python3-h5py,
                python3-numpy,
-               python3-pysam (>= 0.13),
-               python3-nose <!nocheck>,
+               python3-pysam,
+               python3-pytest <!nocheck>,
                python3-uritools <!nocheck>,
-               python3-pytest <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-biopython (>= 1.74) <!nocheck>,
+               python3-xmlschema <!nocheck>,
                pylint,
                python3-coverage
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-pbcore
 Vcs-Git: https://salsa.debian.org/med-team/python-pbcore.git
 Homepage: https://github.com/PacificBiosciences/pbcore
@@ -55,6 +56,7 @@
          ${sphinxdoc:Depends},
          libjs-jquery,
          libjs-underscore
+Multi-Arch: foreign
 Description: Python library for processing PacBio data files (documentation)
  The pbcore package provides Python modules for processing Pacific Biosciences
  data files and building PacBio bioinformatics applications. These modules

## python-pbcore 2.1.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	cd doc && make doctest
 
 unit-test:
-	python setup.py test
+	pytest
 	sed -i -e 's@filename="@filename="./@g' coverage.xml
 
 test: doctest unit-test

=== debian/changelog ===
python-pbcore (2.1.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * d/tests/control: restrict tests to 64-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 22 Mar 2024 18:05:46 +0100

python-pbcore (2.1.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * d/rules: combine the two dh_auto_clean overrides into one
             and use d/clean to simplify that.
  * d/control: add dh-sequence dependencies for the addons.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 22 Mar 2024 17:59:15 +0100

python-pbcore (2.1.2+dfsg-5) unstable; urgency=medium

  * d/control: bring back support for all python3 versions.
  * d/NEWS: remove; affected version not part of maintained releases.
  * d/copyright: update copyright years.
  * d/control: depend on architecture all only python3 package.
  * d/rules: remove empty directory flagged by lintian.

 -- Étienne Mollier <emollier@debian.org>  Sat, 07 Jan 2023 15:47:39 +0100

python-pbcore (2.1.2+dfsg-4) unstable; urgency=medium

  * Standards-Version: 4.6.2 (routine-update)
  * Fix AttributeError: module 'numpy' has no attribute 'float'.
    Closes: #1027211

 -- Andreas Tille <tille@debian.org>  Thu, 29 Dec 2022 20:01:16 +0100

python-pbcore (2.1.2+dfsg-3) unstable; urgency=medium

  * enable-build-time-testing.patch: remove; cease enforcing nostests.
  * d/control: replace nose by pytest. (Closes: #1018551)
  * Standards-Version: 4.6.1 (routine-update)
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Sat, 03 Dec 2022 20:33:13 +0100

python-pbcore (2.1.2+dfsg-2) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jan 2022 08:10:54 +0100

python-pbcore (2.1.2+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/rules (routine-update)

  [ Andreas Tille ]
  * Attempt to enhance creation of documentation to address bug #919052
  * abandon pyxb, use xmlschema for validation if installed

  [ Nilesh Patra ]
  * Fix creation of docs
    Closes: #919052

 -- Andreas Tille <tille@debian.org>  Thu, 23 Dec 2021 17:14:59 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-all,
                python3-setuptools,
@@ -17,7 +19,7 @@
                python3-pytest-runner <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-pytest-cov <!nocheck>,
-               python3-biopython (>= 1.74) <!nocheck>,
+               python3-biopython <!nocheck>,
                python3-xmlschema <!nocheck>,
                pylint,
                python3-coverage
@@ -32,12 +34,10 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-pkg-resources,
-         python3-biopython (>= 1.74)
+         python3-biopython
 Recommends: python3-h5py
 Suggests: python-pbcore-doc (= ${source:Version})
-Breaks: python-pbcore (<= 1.7)
 Provides: python-pbcore
-Replaces: python-pbcore
 Description: Python 3 library for processing PacBio data files
  The pbcore package provides Python modules for processing Pacific Biosciences
  data files and building PacBio bioinformatics applications. These modules
@@ -51,12 +51,12 @@
 
 Package: python-pbcore-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
          libjs-jquery,
          libjs-underscore
-Multi-Arch: foreign
 Description: Python library for processing PacBio data files (documentation)
  The pbcore package provides Python modules for processing Pacific Biosciences
  data files and building PacBio bioinformatics applications. These modules

=== debian/rules ===
--- 
+++ 
@@ -6,27 +6,23 @@
 export PYBUILD_NAME = pbcore
 export PYBUILD_AFTER_INSTALL = \
   chmod -x {destdir}/{install_dir}/pbcore/data/datasets/*.xml
-
 DESTDIR = $(CURDIR)/debian/python3-$(PYBUILD_NAME)
-
+DOCDIR = $(CURDIR)/debian/python-pbcore-doc
+export LC_ALL=C.UTF-8
 %:
-	LC_ALL=C.UTF-8 dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) doc
+	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) $(MAKE) doc
 
 override_dh_install:
 	dh_install
 	mv $(DESTDIR)/usr/bin/.open $(DESTDIR)/usr/bin/pbopen
+	rmdir $(DOCDIR)/usr/share/doc/python3-pbcore/html/_images/
 
 override_dh_installdocs:
 	dh_installdocs -X _source
-
-override_dh_auto_clean:
-	dh_auto_clean
-	$(MAKE) clean
-	rm -rf _tmp
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -50,11 +46,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.org
 
-override_dh_auto_clean:
-	rm -f doc/pbcore.data.datasets.rst doc/pbcore.io.align.rst doc/pbcore.io.dataset.pyxb.rst
-	rm -fr coverage.xml .eggs/README.txt .pytest_cache
-	rm -rf .pybuild
-	rm -rf _tmp doc/_build/
-	find . -name __pycache__ | xargs -r rm -rf 
-	rm -f .coverage nosetests.xml
-	rm -rf pbcore.egg-info
+execute_after_dh_auto_clean:
+	$(MAKE) clean
+	find . -name __pycache__ | xargs -r rm -rf

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-pytest-runner, python3-pytest-xdist, python3-pytest-cov
Restrictions: allow-stderr
Architecture: amd64 arm64 ppc64el
